From: Michael Janssen <jamuraa@base0.net>
Date: Sat, 4 Dec 2010 02:30:06 -0600
Subject: [PATCH] Fix FTBS on mips and mipsel

Fix FTBS on mips and mipsel by removing zero initializer from 'struct
sigaction' variables. 'struct sigaction' is defined different on mips
and mipsel and the variables are set directly after declaration anyway.

Patch contributed by Daniel Hess
---
 server/server.cc |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/server/server.cc b/server/server.cc
index b2ecced..847c74b 100644
--- a/server/server.cc
+++ b/server/server.cc
@@ -148,11 +148,11 @@ main(int argc, char** argv)
     exit(-1);
   }
 #else
-  struct sigaction quit_action = {{0}};
+  struct sigaction quit_action;
   quit_action.sa_handler = Quit;
   sigemptyset (&quit_action.sa_mask);
   quit_action.sa_flags = SA_RESETHAND;
-  struct sigaction ignore_action = {{0}};
+  struct sigaction ignore_action;
   ignore_action.sa_handler = SIG_IGN;
   sigemptyset (&ignore_action.sa_mask);
   if(sigaction(SIGINT, &quit_action, NULL) != 0)
-- 
